Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157654 - i386-redhat-linux-gcc32 and g++32 attempt to use x86_64 assembler
Summary: i386-redhat-linux-gcc32 and g++32 attempt to use x86_64 assembler
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: comps
Version: 4
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Elliot Lee
QA Contact: Bill Nottingham
URL:
Whiteboard:
Depends On:
Blocks: FC4Blocker
TreeView+ depends on / blocked
 
Reported: 2005-05-13 14:47 UTC by yuubyou+rhbz
Modified: 2014-03-17 02:53 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-16 18:21:06 UTC


Attachments (Terms of Use)

Description yuubyou+rhbz 2005-05-13 14:47:38 UTC
Description of problem:
i386-redhat-linux-gcc32 feeds its 32-bit output to 64-bit gas.  This fails as
soon as it gets to `pushl %ebp' (i.e. very quickly).

Version-Release number of selected component (if applicable):
compat-gcc-32-3.2.3-47.fc4

How reproducible:
always

Steps to Reproduce:
1. echo 'int main() { return 0; }' > foo.c
2. i386-redhat-linux-gcc32 foo.c
  
Actual results:
/tmp/ccEN4RhT.s: Assembler messages:
/tmp/ccEN4RhT.s:6: Error: suffix or operands invalid for `push'

Expected results:
No errors and a 32-bit a.out.

Additional info:
Line 6 is the first instruction, `pushl %ebp'.
Fails the same way with `i386-redhat-linux-gcc32 -m32'
Works with `gcc32 -m32'.

Comment 1 yuubyou+rhbz 2005-05-14 22:45:13 UTC
/usr/bin/g++32 fails similarly.
gcc32 is an x86_64 compiler, while g++32 is an i386 compiler.

Comment 2 Jakub Jelinek 2005-05-16 12:46:00 UTC
That is a bug in the x86-64/ppc comps.
compat-gcc-*.i386.rpm must not be included on x86-64, similarly
compat-gcc-*.ppc64.rpm must not be included on ppc.
Only compat-[^g]*.i386.rpm (resp. compat-[^g]*.ppc64.rpm) are meant to be
installed in addition to compat-[^g]*.x86_64.rpm (resp. *.ppc.rpm).

Comment 3 Elliot Lee 2005-05-16 18:21:06 UTC
I'm removing compat-gcc-* from the compat-arch-development group.


Note You need to log in before you can comment on or make changes to this bug.